Skip to content
PingbackDocs
Developer API Beta
DocumentationReference

Create an event

Create a conversation or append a customer message to an existing one.

Scale
POST/api/v1/developer/eventsDeveloper API key

Request body

FieldTypeDescription
event · requiredstringconversation.created or message.created
external_id · requiredstringStable workspace-unique ID, 1–200 characters
conversation_idstringRequired for message.created; a conversation in this workspace
customer_emailstringCustomer email
customer_namestringCustomer display name, stored up to 160 characters
subjectstringConversation subject, stored up to 240 characters
bodystringMessage text, up to 100,000 characters
body_htmlstringOptional HTML message body
attachmentsobject[]Attachment metadata, serialised size up to 100,000 characters
metadataobjectCustom context, serialised size up to 32,000 characters

Create a conversation

Server-side request
curl https://api.pingback.live/api/v1/developer/events \
  -H "Authorization: Bearer $PINGBACK_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "event": "conversation.created",
  "external_id": "order-123-support",
  "customer_email": "[email protected]",
  "customer_name": "Amara",
  "subject": "Delivery question",
  "body": "Can I update my delivery address?"
}'

Add a message

Request body
{
  "event": "message.created",
  "external_id": "order-123-follow-up",
  "conversation_id": "conv_example",
  "body": "The new address is 42 Example Road."
}

Response

200 OK · accepted
{
  "status": "accepted",
  "event": "conversation.created",
  "resource_id": "conv_example",
  "event_id": "dev_evt_example"
}
200 OK · already accepted
{
  "status": "duplicate",
  "event": "conversation.created",
  "resource_id": "conv_example"
}